unit UTranspChart;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeeProcs, TeEngine, Chart, jpeg, TeeSurfa,
  TeeMapSeries, Series, ImaPoint, TeCanvas;


type
  TForm1 = class(TForm)
    Image1: TImage;
    Chart1: TChart;
    Series1: TMapSeries;
    procedure FormCreate(Sender: TObject);
    procedure Chart1BeforeDrawChart(Sender: TObject);
  private
    { Private declarations }
    Back : TBitmap;
  public
    { Public declarations }
  end;

var
  Form1             : TForm1;
  p1,p2,p3,p4,p5    : TFloatPoint;
implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1.Color:=clNone;
  
  p1.X:=10;     p1.Y:=10;
  p2.X:=10;     p2.Y:=20;
  p3.X:=20;     p3.Y:=20;
  p4.X:=20;     p4.Y:=10;
  p5:=p1;

  Series1.Polygon[0].AddXY(p1);
  Series1.Polygon[0].AddXY(p2);
  Series1.Polygon[0].AddXY(p3);
  Series1.Polygon[0].AddXY(p4);
  Series1.Polygon[0].AddXY(p5);
  Series1.Polygon[0].Transparency:=50;

end;

procedure TForm1.Chart1BeforeDrawChart(Sender: TObject);
begin
  if not Assigned(Back) then
  begin
    Back:=TBitmap.Create;
    Back.Width:=Chart1.Width;
    Back.Height:=Chart1.Height;

    Back.Canvas.CopyRect(Chart1.ClientRect,Canvas,Chart1.BoundsRect);
  end;

  if Chart1.Color=clNone then
     Chart1.Canvas.Draw(0,0,Back);
end;

end.
